Skip to main content

Balance Inquiry with Swiped Track Data


This use case processes a PIN debit balance inquiry with swiped track data. Set processingInformation.authorizationOptions.balanceInquiry to true. The response returns the account balance under paymentInformation.accountFeatures.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC123",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "balanceInquiry": "true"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20200323103021"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "0.00",      "currency": "USD"    }  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "pointOfSaleInformation": {    "entryMode": "swiped",    "terminalCapability": 4,    "pinBlockEncodingFormat": 1,    "encryptedPin": "52F20658C04DB351",    "encryptedKeySerialNumber": "FFFF1B1D140000000005",    "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3112101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6879489725216492803092/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6879489725216492803092"    }  },  "clientReferenceInformation": {    "code": "987654321"  },  "id": "6879489725216492803092",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "0.00",      "currency": "usd"    }  },  "paymentInformation": {    "accountFeatures": {      "balances": [        {          "amountType": "02",          "amount": "+20.00",          "accountType": "00",          "currency": "usd"        }      ]    }  },  "processingInformation": {    "reconciliationId": "6879489725216492803092"  },  "processorInformation": {    "systemTraceAuditNumber": "837760",    "routing": {      "network": "0000"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456837760",    "transactionId": "016153570198200",    "responseCode": "00"  },  "reconciliationId": "6879489725216492803092",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-06-28T10:42:52Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber—
clientReferenceInformation.transactionId—
merchantInformation.merchantDescriptor.postalCode—
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmountSet the value to 0.00.
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.encryptedKeySerialNumber—
pointOfSaleInformation.encryptedPin—
pointOfSaleInformation.entryModeSet the value to swiped.
pointOfSaleInformation.pinBlockEncodingFormatSet the value to 1.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.authorizationOptions.balanceInquirySet the value to true.
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026